module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={
			args={sound_path=[[Magic/sound_magic_31302_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0.07,
		},
		[3]={args={alive_time=0.5,},func_name=[[Name]],start_time=0.35,},
		[4]={
			args={
				alive_time=4,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_313/Prefabs/313_attack2.prefab]],
					preload=true,
				},
				effect_dir_type=[[left]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.3,
		},
		[5]={args={},func_name=[[MagcAnimStart]],start_time=2.8,},
		[6]={
			args={
				alive_time=2.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_313/Prefabs/313_hit2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=2.95,
		},
		[7]={
			args={
				alive_time=2.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_313/Prefabs/313_hit2_2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=2.95,
		},
		[8]={
			args={shake_dis=0.15,shake_rate=15,shake_time=0.15,},
			func_name=[[ShakeScreen]],
			start_time=3,
		},
		[9]={
			args={
				alive_time=0.1,
				ease_hide_time=0,
				ease_show_time=0,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_red.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=3,
		},
		[10]={
			args={
				down_time=0.3,
				excutor=[[vicobj]],
				hit_speed=4,
				hit_time=0.2,
				lie_time=0.2,
				up_speed=5,
				up_time=0.2,
			},
			func_name=[[FloatHit]],
			start_time=3.05,
		},
		[11]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=3.05,
		},
		[12]={
			args={
				alive_time=0.1,
				ease_hide_time=0,
				ease_show_time=0,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_red.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=3.2,
		},
		[13]={
			args={shake_dis=0.15,shake_rate=15,shake_time=0.12,},
			func_name=[[ShakeScreen]],
			start_time=3.2,
		},
		[14]={
			args={
				down_time=0.3,
				excutor=[[vicobj]],
				hit_speed=6,
				hit_time=0.15,
				lie_time=0.2,
				up_speed=7,
				up_time=0.25,
			},
			func_name=[[FloatHit]],
			start_time=3.2,
		},
		[15]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=3.25,
		},
		[16]={
			args={
				down_time=0.4,
				excutor=[[vicobj]],
				hit_speed=8,
				hit_time=0.35,
				lie_time=0.15,
				up_speed=10,
				up_time=0.2,
			},
			func_name=[[FloatHit]],
			start_time=3.3,
		},
		[17]={
			args={
				alive_time=0.25,
				ease_hide_time=0.15,
				ease_show_time=0,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_red.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=3.35,
		},
		[18]={
			args={shake_dis=0.2,shake_rate=15,shake_time=0.2,},
			func_name=[[ShakeScreen]],
			start_time=3.35,
		},
		[19]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=3.35,
		},
		[20]={args={},func_name=[[MagcAnimEnd]],start_time=3.85,},
		[21]={args={},func_name=[[End]],start_time=3.9,},
	},
	group_cmds={},
	magic_anim_end_time=3.85,
	magic_anim_start_time=2.8,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_313/Prefabs/313_attack2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_313/Prefabs/313_hit2.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_313/Prefabs/313_hit2_2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
